:root {
    --h-color: #171717;
    --txt-color: #343434;
}

.blog-page-section {
    padding: 60px 0;
    position: relative
}

.blog-page-section .all-blog,.blogs-view-page .all-blog {
    padding-right: 50px;
    position: relative;
    margin-right: 20px
}

.blog-page-section .all-blog:after,.blogs-view-page .all-blog:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    right: 0;
    width: 1px;
    height: 95%;
    background-color: #000
}

.blog-page-section .single-blog {
    margin-bottom: 50px
}

.blog-page-section .blo-til-new h4,.blog-veiw-section h1 {
    color: var(--h-color);
    font-size: 25px;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 10px;
    display: inline-block
}

.blog-page-section .main-blogs-img {
    background-color: #cccccc26;
    padding: 20px;
    border-radius: 20px
}

.blog-page-section .blog-bg-img {
    height: 350px;
    width: 100%;
    background-size: cover!important;
    background-position: center center!important;
    background-repeat: no-repeat!important;
    border-radius: 20px
}

.blog-page-section .blg-pg p {
    color: #000;
    font-size: 14px;
    font-weight: 400;
    line-height: normal;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin-top: 20px;
}

.blog-page-section .blog-pge-btn {
    margin-top: 30px;
    position: relative
}

.blog-page-section .blog-pge-btn span {
    display: inline-block;
    color: #7e7e7e;
    font-size: 13px;
    font-weight: 400;
    line-height: normal
}

.blog-page-section .blog-pge-btn .main-clicks {
    display: inline-block;
    margin: 0 50px
}

.blog-page-section .blog-pge-btn .main-clicks a.blog-anchors {
    color: #fff;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    border-radius: 50px;
    background: var(--btn-color);
    border: 1px solid #fff0;
    padding: 5px 20px;
    transition: .5s;
    text-transform: capitalize;
    box-shadow: inset 2px 2px 2px 0 rgba(255,255,255,.5),7px 7px 20px 0 rgba(0,0,0,.1),4px 4px 5px 0 rgba(0,0,0,.1)
}

.blog-page-section .blog-pge-btn .main-clicks a.blog-anchors:hover {
    color: #000;
    border: 1px solid #000;
    transition: .5s;
    box-shadow: 0 0 0 4em #fff inset,0 5px 8px rgba(0,0,0,.1)
}

.blog-page-section .blog-pge-btn:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 20%;
    margin: auto;
    height: 1px;
    width: 40%;
    background-color: #000
}

.recents-blogs-main-list .list-wrapss {
    margin-bottom: 40px
}

.main-blogs-list h4,section.leavereply h2.reply {
    display: inline-block;
    color: #303030;
    font-size: 25px;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 20px
}

.recents-blogs-main-list .recent-blogs-main-2 {
    height: 200px;
    width: 100%;
    position: relative;
    overflow: hidden;
    border: 1px solid #ccc
}

.recents-blogs-main-list .recent-blogs-main-2 img.img-fluid {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto
}

.recents-blogs-main-list .recent-blogs-main-1 span {
    font-size: 13px;
    font-weight: 400;
    line-height: normal;
    display: block;
    text-align: left;
    margin: 6px 0
}

.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-title {
    color: var(--h-color);
    font-size: 15px;
    font-weight: 700;
    line-height: normal;
    transition: .5s
}

.recents-blogs-main-list .recent-blogs-main-1:hover a.recent-blog-title {
    color: var(--btn-color);
    transition: .5s
}

.recents-blogs-main-list .recent-blogs-main-1 p {
    color: var(--txt-color);
    font-size: 14px;
    font-weight: 400;
    line-height: normal;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin: 5px 0
}

.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-anchor {
    color: var(--btn-color);
    font-size: 13px;
    font-weight: 700;
    line-height: normal;
    position: relative
}

.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-anchor:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: auto;
    right: 0;
    width: 0;
    height: 1px;
    background: var(--btn-color);
    transition: .5s
}

.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-anchor:hover:after {
    right: auto;
    left: 0;
    width: 100%;
    transition: .5s
}

.leave-message .myform input,.leave-message .myform textarea {
    margin-bottom: 20px;
    font-size: 15px;
    color: #000
}

.all-pagination ul.pagination li a,.all-pagination ul.pagination li span {
    border: 0!important
}

.all-pagination ul.pagination li.active a,.all-pagination ul.pagination li.active span {
    background: var(--btn-color)!important
}

.all-pagination ul.pagination li {
    margin: 0 20px
}

.all-pagination ul.pagination li a {
    font-size: 15px!important
}

@media (max-width: 992px) {
    body .bannermain {
        height:auto!important
    }

    .innerbanner {
        margin-top: 80px
    }

    .all-pagination {
        justify-content: center!important
    }
}

.blogs-view-page {
    padding: 60px 0
}

.blog-veiw-section p {
    color: #000;
    font-size: 16px;
    font-weight: 400;
    line-height: normal
}

section.leavereply {
    padding-bottom: 60px;
    position: relative
}

.leave-message .myform textarea {
    resize: none
}

.leave-message .myform input:focus,.leave-message .myform textarea:focus {
    box-shadow: none;
    border-color: var(--btn-color);
    transition: .5s
}

.leave-message .myform button {
    width: 100%;
    font-size: 18px;
    font-weight: 500
}

@media (max-width: 767px) {
    .blog-page-section {
        padding:30px 0
    }

    .blog-page-section .all-blog {
        padding-right: 0;
        margin-right: 0
    }

    .blog-page-section .all-blog:after,.blog-page-section .blog-pge-btn:after {
        width: 0;
        height: 0
    }

    .blog-page-section .single-blog {
        margin-bottom: 30px
    }

    .blog-page-section .blo-til-new h4 {
        font-size: 16px
    }

    .blog-page-section .main-blogs-img {
        padding: 10px;
        border-radius: 15px
    }

    .blog-page-section .blog-bg-img {
        height: 200px;
        width: 100%;
        border-radius: 15px;
        background-size: cover!important
    }

    .blog-page-section .blg-pg p {
        font-size: 10px;
        margin: 5px 0;
        -webkit-line-clamp: 2
    }

    .blog-page-section .blog-pge-btn {
        margin-top: 10px
    }

    .blog-page-section .blog-pge-btn span {
        display: block;
        font-size: 10px
    }

    .blog-page-section .blog-pge-btn .main-clicks {
        margin: 10px 40px 0 0
    }

    .main-blogs-list {
        margin-top: 20px;
        padding: 15px;
        border: 1px dashed;
        border-radius: 10px
    }

    .recents-blogs-main-list .list-wrapss {
        margin-bottom: 20px
    }

    .main-blogs-list h4 {
        font-size: 15px
    }

    .recents-blogs-main-list .recent-blogs-main-1 span {
        font-size: 10px;
        margin: 5px 0
    }

    .leave-message .myform button,.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-title {
        font-size: 12px
    }

    .recents-blogs-main-list .recent-blogs-main-1 p {
        font-size: 10px;
        margin: 0
    }

    .recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-anchor {
        font-size: 11px
    }

    .blogs-view-page {
        padding: 30px 0!important
    }

    .blogs-view-page .all-blog {
        padding-right: 0!important;
        margin-right: 0!important
    }

    .blogs-view-page .all-blog:after {
        width: 0!important;
        height: 0!important
    }

    .blog-veiw-section h1 {
        font-size: 14px!important
    }

    .blog-veiw-section p {
        font-size: 10px!important;
        margin: 5px 0!important
    }

    section.leavereply {
        padding-bottom: 30px
    }

    section.leavereply h2.reply {
        font-size: 14px
    }

    .leave-message .myform input,.leave-message .myform textarea {
        margin-bottom: 10px;
        font-size: 10px
    }
}

@media (min-width: 767px) and (max-width:992px) {
    .blog-page-section {
        padding:30px 0
    }

    .blog-page-section .all-blog,body .blogs-view-page .all-blog {
        padding-right: 0;
        margin-right: 0
    }

    .blog-page-section .all-blog:after,.blog-page-section .blog-pge-btn:after,body .blogs-view-page .all-blog:after {
        width: 0;
        height: 0
    }

    .blog-page-section .single-blog {
        margin-bottom: 30px
    }

    .blog-page-section .blo-til-new h4 {
        font-size: 16px
    }

    .blog-page-section .main-blogs-img {
        padding: 10px;
        border-radius: 15px
    }

    .blog-page-section .blog-bg-img {
        height: 200px;
        width: 100%;
        border-radius: 15px;
        background-size: cover!important
    }

    .blog-page-section .blg-pg p {
        font-size: 10px;
        margin: 5px 0;
        -webkit-line-clamp: 2
    }

    .blog-page-section .blog-pge-btn {
        margin-top: 10px
    }

    .blog-page-section .blog-pge-btn span {
        display: block;
        font-size: 10px
    }

    .blog-page-section .blog-pge-btn .main-clicks {
        margin: 10px 40px 0 0
    }

    .main-blogs-list {
        margin-top: 20px;
        padding: 15px;
        border: 1px dashed;
        border-radius: 10px
    }

    .recents-blogs-main-list .list-wrapss {
        margin-bottom: 20px
    }

    .main-blogs-list h4,body .blog-veiw-section h1,section.leavereply h2.reply {
        font-size: 15px
    }

    .recents-blogs-main-list .recent-blogs-main-1 span,body .blog-veiw-section p {
        font-size: 10px;
        margin: 5px 0
    }

    .leave-message .myform button,.recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-title {
        font-size: 12px
    }

    .recents-blogs-main-list .recent-blogs-main-1 p {
        font-size: 10px;
        margin: 0
    }

    .recents-blogs-main-list .recent-blogs-main-1 a.recent-blog-anchor {
        font-size: 11px
    }

    .blogs-view-page {
        padding: 30px 0!important
    }

    section.leavereply {
        padding-bottom: 30px
    }

    .leave-message .myform input,.leave-message .myform textarea {
        margin-bottom: 20px;
        font-size: 12px
    }
}
